Subject: bug#48129: 28.0.50; Per file-handle (stdin, stdout and stderr) process-connection-type variable

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 May 2021 09:09:39 +0300

> From: Thomas Hisch <[email-masked]>
> Date: Sat, 1 May 2021 01:10:10 +0200
> 
> 
> I would like that the configuration options of the three file
> handles (stdin, stdout and stderr), when a new process is created
> in emacs, are improved.  What I'm specifically asking for is to
> add support for individually specifying for each file-handle
> whether it should be connected to a pty or not.  Currently the
> value of the process-connection-type variable applies to all
> three file handles at once, which leads to a problem with the
> following use-case:
> 
> Usually a program outputs ANSI escape sequences when its stdout
> file-handle is connected to a pty. It is currently not possible to
> communicate with a subprocess that is created by `start-file-process' by
> writing to a pty (via stdin) and avoiding that this subprocess writes
> ANSI escape sequences to stdout. This use-case is needed by magit, which
> currently doesn't have support for displaying ANSI escape sequences but
> it needs to communicate with it's started subprocesses via a PTY
> (https://github.com/magit/magit/issues/3549).

We have make-pipe-process; can't you solve your problem by connecting
your process's stdout to such a pipe-process?  If not, why not?